Main Page Modules Data Structures File List Data Fields Globals Related Pages

# dirInfo_s Struct Reference

## Data Fields
const char * | dirName
int | dirNameLen
fileIndexEntry | files
int | numFiles

## Detailed Description

A directory to be installed/removed.

Definition at line 96 of file rpmal.c.

## Field Documentation

const char* dirInfo_s::dirName

| Directory path (+ trailing '/'). Definition at line 98 of file rpmal.c. Referenced by dieCompare, rpmalAdd, rpmalAllFileSatisfiesDepend, rpmalDel, and rpmalFree.

int dirInfo_s::dirNameLen

| No. bytes in directory path. Definition at line 99 of file rpmal.c. Referenced by dieCompare, rpmalAdd, rpmalAllFileSatisfiesDepend, and rpmalDel.

fileIndexEntry dirInfo_s::files

| Array of files in directory. Definition at line 101 of file rpmal.c. Referenced by rpmalAdd, rpmalAllFileSatisfiesDepend, rpmalDel, and rpmalFree.

int dirInfo_s::numFiles

| No. files in directory. Definition at line 102 of file rpmal.c. Referenced by rpmalAdd, rpmalAllFileSatisfiesDepend, and rpmalDel.

The documentation for this struct was generated from the following file:

- lib/rpmal.c